[Qa-jenkins-scm] [Git][qa/jenkins.debian.net][master] 3 commits: Revert "Revert "reproducible debian: ensure 2nd build is merged-usr""

Mattia Rizzolo (@mattia) gitlab at salsa.debian.org
Wed Oct 12 12:16:57 BST 2022



Mattia Rizzolo pushed to branch master at Debian QA / jenkins.debian.net


Commits:
926e0e01 by Mattia Rizzolo at 2022-10-12T13:07:46+02:00
Revert "Revert "reproducible debian: ensure 2nd build is merged-usr""

This reverts commit 91577f7ebc05f98b425d0d520b82606b02e8f515.

- - - - -
dc5a5284 by Mattia Rizzolo at 2022-10-12T13:15:29+02:00
reproducible debian: pass the --distribution paramether to pbuilder

it's normally totally no-op, but this way the internal variable
DISTRIBUTION it's set correctly and then passed to the hooks

Signed-off-by: Mattia Rizzolo <mattia at debian.org>

- - - - -
474a47c3 by Mattia Rizzolo at 2022-10-12T13:16:16+02:00
reproducible debian: only re-configure usrmerge on bookworm+

Signed-off-by: Mattia Rizzolo <mattia at debian.org>

- - - - -


2 changed files:

- bin/reproducible_build.sh
- + hosts/common/etc/pbuilder/rebuild-hooks/A99_set_merged_usr


Changes:

=====================================
bin/reproducible_build.sh
=====================================
@@ -644,6 +644,7 @@ EOF
 	sudo timeout -k 18.1h 18h /usr/bin/ionice -c 3 /usr/bin/nice \
 	  /usr/sbin/pbuilder --build \
 		--configfile $TMPCFG \
+		--distribution "$SUITE" \
 		--hookdir /etc/pbuilder/first-build-hooks \
 		--debbuildopts "$DEBBUILDOPTS" \
 		$BINARYTARGET \
@@ -765,6 +766,7 @@ EOF
 		/usr/bin/unshare --uts -- \
 		/usr/sbin/pbuilder --build \
 			--configfile $TMPCFG \
+			--distribution "$SUITE" \
 			--hookdir /etc/pbuilder/rebuild-hooks \
 			--debbuildopts "$DEBBUILDOPTS" \
 			$BINARYTARGET \


=====================================
hosts/common/etc/pbuilder/rebuild-hooks/A99_set_merged_usr
=====================================
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+# https://bugs.debian.org/1021402
+
+set -eu
+
+if [ "$DISTRIBUTION" != buster ] && [ "$DISTRIBUTION" != bullseye ]; then
+    echo "Re-configuring usrmerge..."
+
+    rm -fv /etc/unsupported-skip-usrmerge-conversion
+    dpkg-reconfigure usrmerge
+else
+    echo "Not re-configuring usrmerge for $DISTRIBUTION"
+fi



View it on GitLab: https://salsa.debian.org/qa/jenkins.debian.net/-/compare/91577f7ebc05f98b425d0d520b82606b02e8f515...474a47c31e7217f0afb015d67d70975d2d84d813

-- 
View it on GitLab: https://salsa.debian.org/qa/jenkins.debian.net/-/compare/91577f7ebc05f98b425d0d520b82606b02e8f515...474a47c31e7217f0afb015d67d70975d2d84d813
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/qa-jenkins-scm/attachments/20221012/7fcad0cf/attachment-0001.htm>


More information about the Qa-jenkins-scm mailing list